package com.cirle.scientific.service;

import com.cirle.scientific.dto.QkjTqcourseCourseDto;
import com.cirle.scientific.po.QkjTqcourse;
import com.cirle.scientific.pojo.Result;

import javax.servlet.http.HttpServletRequest;

public interface CourseService {
    Result getIndexData(Integer cataId,Integer fId,Integer start, Integer size,String memCard, String sortBy, String from,boolean isPC);

    Result<QkjTqcourseCourseDto> findTqCourseCourseInfo(Long id);

    Object addVideoPlayRecorde(String memCard, int objType, int objId, int playTime, int totalLearnTime, String ip);

    Object saveplaylog(String memCard, int liveId, int learnTime);

    Result saveCommon(Long id, String memCard, String content);

    Result checkCode(String ip, String memCard,String code, Long id);

    QkjTqcourse findById(Integer id);
}
